# Podspec for BlueConicClient
Pod::Spec.new do |spec|

# BlueConic General
spec.name          = 'BlueConicClient'
spec.version       = '2.6.0'
spec.license       = { :type => 'Commercial' }
spec.swift_version = '5.0'
spec.homepage      = 'https://blueconic.com'
spec.authors       = { 'BlueConic' => 'info@blueconic.com' }
spec.summary       = 'The BlueConicClient Framework provides the basis for communication with BlueConic.'

# BlueConic Sources
spec.platform     = :ios, '8.0'
spec.source     = { :http => 'https://download.blueconic.com/cocoapod/BlueConic-iOS-SDK-2.6.0-Source.zip', :flatten => true}
spec.source_files = 'BlueConicClient/BlueConicClient.h'
spec.default_subspec = 'main'

# BlueConic Resources
spec.resources = ['BlueConicClient/Resources/*.{png}', 'BlueConicClient/Resources/**/*.{png}']
spec.resource_bundles = {
    'Assets' => ['BlueConicClient/Resources/*.{png}', 'BlueConicClient/Resources/**/*.{png}']
}

# main
# has dependencies on all
spec.subspec 'main' do |sm|
    sm.dependency 'BlueConicClient/BlueConicClient'
    sm.dependency 'BlueConicClient/impl'
    sm.dependency 'BlueConicClient/Plugins'
end


# BlueConicClient-subspec
# include all files in the root directory.
# dependency on BlueConicClient/impl
spec.subspec 'BlueConicClient' do |sb|
    sb.source_files = 'BlueConicClient/*', 'BlueConicClient/impl/BlueConicClientImpl.swift', 'BlueConicClient/impl/util/BlueConicExtensions.swift'
    sb.dependency 'BlueConicClient/impl'
    sb.exclude_files = 'BlueConicClient/Info.plist'
end

# BlueConicClient/impl-subspec
# include all files and folders in the 'impl' directory
spec.subspec 'impl' do |si|
    si.source_files = 'BlueConicClient/impl/**/*'
    si.exclude_files = 'BlueConicClient/impl/BlueConicClientImpl.swift', 'BlueConicClient/impl/util/BlueConicExtensions.swift'
end

# BlueConicClient/Plugins-subspec
# include all files and folders in the 'Plugins' directory
# dependency on BlueConicClient/BlueConicClient
spec.subspec 'Plugins' do |sp|
    sp.source_files = 'BlueConicClient/Plugins/**/*'
    sp.dependency 'BlueConicClient/BlueConicClient'
end

end
